
import socket
import cPickle # serializing and de-serializing

# Get owner
controller = GameLogic.getCurrentController()
owner = controller.owner

# Set Client
host = "localhost"
ClientPort = 10001

# Set socket client only one time at the first frame
if not owner['OneTime'] :
    # Set UDP socket
    GameLogic.socketClient = socket.socket(socket.AF_INET,socket.SOCK_DGRAM)
    
    # Bind the socket to host
    GameLogic.socketClient.bind((host, ClientPort))
    
    # Set Buffer size
    GameLogic.socketClient.setsockopt(socket.SOL_SOCKET, socket.SO_RCVBUF, 1024)
    
    # If no data are found, pass
    GameLogic.socketClient.setblocking(0)
    
    # Set prop to pass test
    owner['OneTime'] = True

#------------if RECEIVE UDP --------------#
try:
    # Get data in buffer
    UpData, SRIP = GameLogic.socketClient.recvfrom(1024)
    
    # De-serialize, return tuples
    msg = cPickle.loads(UpData)
    
    # Set Position and orientation
    owner.worldPosition = (msg[0][0], msg[0][1], msg[0][2])
    owner.worldOrientation = ( (msg[1][0], msg[1][1], msg[1][2]) )
except :
    pass

