
import socket
import cPickle # serializing and de-serializing

# Get owner
controller = GameLogic.getCurrentController()
owner = controller.owner

# Set server
Host = 'localhost'
ServerPort = 10000

# Set socket server only one time at the first frame
if not owner['OneTime']:
    # Set UDP socket
    GameLogic.sServer = socket.socket(socket.AF_INET, socket.SOCK_DGRAM)
    
    # Bind the socket to host
    GameLogic.sServer.bind((Host, ServerPort))
    
    # If no data are found, pass
    GameLogic.sServer.setblocking(0)
    
    # Set prop to pass test
    owner['OneTime'] = True

# Get Position and Orientation
PosCar = owner.worldPosition
OriCar = owner.worldOrientation

# Serialize data
Data = cPickle.dumps((PosCar,OriCar))

# Send Data to client
GameLogic.sServer.sendto(Data, (Host, 10001))

